org.apache.cassandra.index.sasi.plan

## Class QueryPlan

- java.lang.Object
- - org.apache.cassandra.index.sasi.plan.QueryPlan

-     public class QueryPlan
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `QueryPlan(ColumnFamilyStore cfs, ReadCommand command, long executionQuotaMs)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `UnfilteredPartitionIterator` | `execute(ReadExecutionController executionController)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### QueryPlan

          public QueryPlan(ColumnFamilyStore cfs,
                           ReadCommand command,
                           long executionQuotaMs)

  - ### Method Detail

    - #### execute

          public UnfilteredPartitionIterator execute(ReadExecutionController executionController)
                                              throws RequestTimeoutException

      Throws:
        `RequestTimeoutException`

Copyright © 2018 The Apache Software Foundation